### Method

# Qrtr Bus peek_node

since: 1.0

#### Declaration [src]

    QrtrNode*
    qrtr_bus_peek_node (
      QrtrBus* self,
      guint32 node_id
    )

#### Description [src]

Get the `QrtrNode` with node ID `node_id`, without increasing the reference count on the returned object.

This method will fail if there is no node with the given `node_id` in the QRTR bus.

Available since: 1.0

#### Parameters

`node_id`

  Type: `guint32`

  The QRTR bus node ID to get.

#### Return value

Type: `QrtrNode`

A `QrtrNode`, or `NULL` if none available. Do not free the returned object, it is owned by `self`.

The returned data is owned by the instance.